Project/src/model/Review.java
package model;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

public class Review implements Serializable{


	private int id;
	private int userId;
	private int travelId;
	private String review;
	private Date createDate;


	private String userName;


	//id取得するためのコンストラクタ
			public Review(int id) {
				this.id = id;
			}



	public Review() {
				// TODO 自動生成されたコンストラクター・スタブ
			}



	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public int getTravelId() {
		return travelId;
	}
	public void setTravelId(int travelId) {
		this.travelId = travelId;
	}
	public String getReview() {
		return review;
	}
	public void setReview(String review) {
		this.review = review;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getFormatDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm");
		return sdf.format(createDate);
	}



	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}

}

Project/src/servlet/LoginServlet.java
package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public LoginServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");

		// リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
		UserDao userInfoDao = new UserDao();
		User user = userInfoDao.LoginInfo(loginId, password);

		/** テーブルに該当のデータが見つからなかった場合 **/
		if (user == null) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "ログインに失敗しました");

			// ログインjspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		/** テーブルに該当のデータが見つかった場合 **/
		// セッションにユーザの情報をセット
		HttpSession session = request.getSession();
		session.setAttribute("userInfo", user);

		// ユーザ一覧のサーブレットにリダイレクト
		response.sendRedirect("IndexServlet");



	}
}

Project/src/servlet/ManagementDetailUpdateServlet.java
package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.TravelInfoDao;
import model.TravelInfo;

/**
 * Servlet implementation class ManagementDetailUpdateServlet
 */
@WebServlet("/ManagementDetailUpdateServlet")
public class ManagementDetailUpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ManagementDetailUpdateServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {


		// URLからGETパラメータとしてreturnIndexServletを受け取る
		String keyword = request.getParameter("keyword");
		String areaId = request.getParameter("areaId");
		String purposeId = request.getParameter("purposeId");

		// returnIndexServletをリクエストスコープにセット
		request.setAttribute("keyword", keyword);
		request.setAttribute("areaId", areaId);
		request.setAttribute("purposeId", purposeId);


		// URLからGETパラメータとしてIDを受け取る
		String id = request.getParameter("id");


		// idを引数にして、idに紐づく旅行先情報を出力する
		TravelInfoDao travelInfoDao = new TravelInfoDao();
		TravelInfo travelInfoDetail = travelInfoDao.travelInfoDetail(id);

		// 旅行先情報をリクエストスコープにセット
		request.setAttribute("travelInfoDetail", travelInfoDetail);



		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/managementDetailUpdate.jsp");
		dispatcher.forward(request, response);


	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");


		// 入力項目を取得
        String id = request.getParameter("id");
		String travelName = request.getParameter("travelName");
		String areaId = request.getParameter("areaId");
		String purposeId = request.getParameter("purposeId");
		String address = request.getParameter("address");
		String access = request.getParameter("access");
		String detail = request.getParameter("detail");
		String fileName = request.getParameter("fileName");


		// 入力項目を引数に渡して、Daoのメソッドを実行
		TravelInfoDao travelInfoDao = new TravelInfoDao();
		TravelInfo travelInfo = travelInfoDao.travelInfoUpdate(id,travelName,areaId,purposeId,address,access,detail,fileName);


		/** 登録できない場合 **/
		if (travelName.equals("") || areaId.equals("") || purposeId.equals("") ||
				address.equals("") || access.equals("") || detail.equals("") || fileName.equals("")) {

		// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "入力した内容は正しくありません");

		// managementDetailUpdate.jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/managementDetailUpdate.jsp");
			dispatcher.forward(request, response);
			return;
		}


		/** 登録できる場合 **/

		// managemantScreen.jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/managementScreen.jsp");
			dispatcher.forward(request, response);
			return;



	}

}

Project/src/servlet/ManagementScreenServlet.java
package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class ManagementScreenServlet
 */
@WebServlet("/ManagementScreenServlet")
public class ManagementScreenServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ManagementScreenServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/managementScreen.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/servlet/ManagementSearchResultServlet.java
package servlet;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.TravelInfoDao;
import model.TravelInfo;

/**
 * Servlet implementation class ManagementSearchResultServlet
 */
@WebServlet("/ManagementSearchResultServlet")
public class ManagementSearchResultServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ManagementSearchResultServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		try {
			// リクエストパラメータの文字コードを指定
	        request.setCharacterEncoding("UTF-8");


			// 入力項目を取得
			String keyword = request.getParameter("keyword");
			String areaId = request.getParameter("areaId");
			String purposeId = request.getParameter("purposeId");

			//1ページに表示する旅行先数
			final int maxTravelCount = 6;

			//表示ページ番号 未指定の場合 1ページ目を表示
			int pageNum = Integer.parseInt(request.getParameter("pageNum") == null ? "1" : request.getParameter("pageNum"));

			// 商品リストを取得 ページ表示分のみ
			ArrayList<TravelInfo> travelInfoList = TravelInfoDao.getTravelInfoList(keyword,areaId,purposeId,pageNum,maxTravelCount);

			// 検索ワードに対しての総ページ数を取得
			double travelCount = TravelInfoDao.getTravelCount(keyword,areaId,purposeId);
			int pageMax = (int) Math.ceil(travelCount / maxTravelCount);

			//総アイテム数
			request.setAttribute("travelCount", (int) travelCount);
			// 総ページ数
			request.setAttribute("pageMax", pageMax);
			// 表示ページ
			request.setAttribute("pageNum", pageNum);
			request.setAttribute("travelInfoList", travelInfoList);


			//検索結果0件の場合
			if(travelInfoList == null || travelInfoList.size() == 0) {

				// リクエストスコープにエラーメッセージをセット
				request.setAttribute("errMsg", "旅行先が見つかりません");

				// index.jspにフォワード
				RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/managementScreen.jsp");
				dispatcher.forward(request, response);
				return;
			}


			//検索結果がある場合

				//戻るボタンの時に使う
				request.setAttribute("keyword", keyword);
				request.setAttribute("areaId", areaId);
				request.setAttribute("purposeId", purposeId);

				// フォワード
				RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/managementSearchResult.jsp");
				dispatcher.forward(request, response);


		} catch (SQLException e) {
			e.printStackTrace();
		}

	}


	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {



	}
}

Project/src/servlet/NewTravelDestinationServlet.java
package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.TravelInfoDao;
import model.TravelInfo;

/**
 * Servlet implementation class NewTravelDestinationServlet
 */
@WebServlet("/NewTravelDestinationServlet")
public class NewTravelDestinationServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public NewTravelDestinationServlet() {
        super();
        // TODO Auto-generated constructor stub
    }


	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newTravelDestination.jsp");
		dispatcher.forward(request, response);

	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");


		// 入力項目を取得
		String travelName = request.getParameter("travelName");
		String areaId = request.getParameter("areaId");
		String purposeId = request.getParameter("purposeId");
		String address = request.getParameter("address");
		String access = request.getParameter("access");
		String detail = request.getParameter("detail");
		String fileName = request.getParameter("fileName");


		// 入力項目を引数に渡して、Daoのメソッドを実行
		TravelInfoDao travelInfoDao = new TravelInfoDao();
		TravelInfo travelInfo = travelInfoDao.NewTravelInfo(travelName,areaId,purposeId,address,access,detail,fileName);


		/** 登録できない場合 **/
		if (travelName.equals("") || areaId.equals("") || purposeId.equals("") ||
				address.equals("") || access.equals("") || detail.equals("") || fileName.equals("")) {

		// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "入力した内容は正しくありません");

		// リクエストスコープに入力した値をセット
			request.setAttribute("travelName",travelName);
			request.setAttribute("birthDate",address);
			request.setAttribute("access",access);
			request.setAttribute("fileName",fileName);

		// newTravelDestination.jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newTravelDestination.jsp");
			dispatcher.forward(request, response);
			return;
		}


		/** 登録できる場合 **/

		// newTravelDestination.jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/managementScreen.jsp");
			dispatcher.forward(request, response);
			return;



	}

}

Project/src/servlet/ReviewReadServlet.java
package servlet;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.ReviewDao;
import model.Review;

/**
 * Servlet implementation class ReviewReadServlet
 */
@WebServlet("/ReviewReadServlet")
public class ReviewReadServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ReviewReadServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {


	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// 旅行先idの取得
		String travelId = request.getParameter("travelId");

		// 旅行先idをリクエストスコープにセット
		request.setAttribute("travelId", travelId);

		//ユーザidの取得
		String userId = request.getParameter("userId");

		// ユーザidをリクエストスコープにセット
		request.setAttribute("userId", userId);


		/**Review情報の取得*/
		try {
			//旅行先idからユーザid・本文・投稿日時を取得
			ArrayList<Review> reviewList = ReviewDao.getReviewList(travelId);

			// 口コミ情報をリクエストスコープにセット
			request.setAttribute("reviewList", reviewList);

			/**口コミがない場合*/
			if (reviewList == null || reviewList.size() == 0) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "口コミはありません");

			// TravelDestinationDetailServletにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("TravelDestinationDetailServlet");
			dispatcher.forward(request, response);
			return;

			}

		} catch (SQLException e) {
			e.printStackTrace();
		}



		// reviewRead.jspにフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/reviewRead.jsp");
		dispatcher.forward(request, response);


	}

}

Project/WebContent/WEB-INF/jsp/index.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja" class="h-100">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>国内旅行情報サイト</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="css/slick.css" />
<!-- オリジナルCSS読み込み -->
<link href="css/common.css" rel="stylesheet">

</head>

<body class="d-flex flex-column h-100">

	<header>
		<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
			<div class="container">
				<a class="navbar-brand" href="IndexServlet">国内旅行情報サイト</a>
				<button type="button" class="navbar-toggler" data-toggle="collapse"
					data-target="#navbarNav" aria-controls="navbarNav"
					aria-expanded="false" aria-label="ナビゲーションの切替">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarNav">
					<ul class="navbar-nav ml-auto">
						<!-- もしログインしていない場合 -->
						<c:if test="${userInfo == null}">
							<li class="nav-item"><a href="LoginServlet" class="nav-link">ログイン</a>
							</li>
							<li class="nav-item"><a href="UserCreateServlet"
								class="nav-link">新規登録</a></li>
						</c:if>

						<!-- もしログインしていた場合 -->

						<!-- 管理者専用画面ボタン -->
						<c:if test="${userInfo.id == 1}">
							<li class="nav-item"><a href="ManagementScreenServlet"
								class="nav-link">管理者専用画面</a></li>
						</c:if>

						<c:if test="${userInfo != null}">
							<li class="nav-item"><a
								href="UserFavoriteServlet?userId=${userInfo.id}"
								class="nav-link">お気に入り一覧</a></li>
							<li class="nav-item"><a
								href="UserUpdateServlet?id=${userInfo.id}" class="nav-link">ユーザ情報更新</a>
							</li>
							<li class="nav-item"><a href="LogoutServlet"
								class="nav-link">ログアウト</a></li>
						</c:if>
					</ul>
				</div>
			</div>
		</nav>
	</header>

	<!-- ページコンテンツ -->
	<main role="main" class="flex-shrink-0">
	<div class="container">
		<!-- 検索結果０件の場合 -->
		<c:if test="${errMsg != null}">
			<script type="text/javascript">
				alert("旅行先が見つかりません");
			</script>
		</c:if>

		<div class="mx-auto bg-dark border rounded-lg mt-5"
			style="width: 750px;">
			<form method="get" action="SearchResultServlet"
				class="mx-auto text-white" style="width: 650px;">


				<!-- キーワードのフォーム -->
				<div class="form-group my-4">
					<label for="Input">キーワード</label> <input name="keyword" type="text"
						class="form-control" id="Input" placeholder="キーワードを入力してください">
				</div>


				<div class="form-group row my-4">

					<!-- 地域の選択欄 -->
					<div class="col">
						<label for="Input">地域</label> <select name="areaId"
							class="custom-select">
							<option value="">この選択メニューを開く</option>
							<c:forEach var="areaList" items="${areaList}">
								<option value="${areaList.id}">${areaList.areaName}</option>
							</c:forEach>
						</select>
					</div>

					<!-- 目的の選択欄 -->
					<div class="col">
						<label for="Input">目的</label> <select name="purposeId"
							class="custom-select">
							<option value="">この選択メニューを開く</option>
							<c:forEach var="purposeList" items="${purposeList}">
								<option value="${purposeList.id}">${purposeList.purpose}</option>
							</c:forEach>
						</select>
					</div>

				</div>

				<!-- 検索ボタン -->
				<div class="form-group text-right my-4">
					<button type="submit" class="btn btn-primary">検索</button>
				</div>

			</form>
		</div>

		<!-- オススメの旅行先 -->
		<p class="h3 mt-4">オススメの旅行先</p>
		<div class="row">
			<c:forEach var="rtil" items="${rtil}">
				<div class="col-sm-6 col-md-4 my-4">
					<div class="card img-thumbnail border-white">
						<img class="card-img-top" src="img/${rtil.fileName}" alt="画像"
							width="300" height="200">
						<div class="card-body px-2 py-3 bg-light">
							<h5 class="card-title text-dark">${rtil.travelName}</h5>

							<form method="post" action="TravelDestinationDetailServlet"
								class="mb-0 text-right">
								<!-- ログインしているユーザ情報のid -->
								<input name="userId" type="hidden" value="${userInfo.id}">
								<button name="travelId" type="submit" class="btn btn-primary"
									value="${rtil.id}">詳細</button>
							</form>

						</div>
						<!-- /.card-body -->
					</div>
					<!-- /.card -->
				</div>
				<!-- /.col-sm-6.col-md-3 -->
			</c:forEach>
		</div>
		<!-- /.row -->



	</div>
	</main>

	<!-- フッタ -->
	<footer class="footer mt-auto py-3">
		<div class="container"></div>
	</footer>


</body>

</html>

Project/WebContent/WEB-INF/jsp/reviewRead.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja" class="h-100">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>口コミ一覧画面</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

  <!-- オリジナルCSS読み込み -->
    <link href="css/common.css" rel="stylesheet">

    <!-- 削除ボタンの確認ダイアログ -->
    <script type="text/javascript">

		function checkSubmit(){

			flag = confirm("本当に削除しますか？");
			return flag;
		}
	</script>
</head>

<body class="d-flex flex-column h-100">

<header>
	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
	<div class="container">
  <a class="navbar-brand" href="IndexServlet">国内旅行情報サイト</a>
  <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="ナビゲーションの切替">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav ml-auto">
     <!-- もしログインしていない場合 -->
     <c:if test="${userInfo == null}" >
      <li class="nav-item">
      	<a href="LoginServlet" class="nav-link">ログイン</a>
      </li>
      <li class="nav-item">
      	<a href="UserCreateServlet" class="nav-link">新規登録</a>
      </li>
     </c:if>

     <!-- もしログインしていた場合 -->

     <!-- 管理者専用画面ボタン -->
     <c:if test="${userInfo.id == 1}" >
     <li class="nav-item">
      	<a href="ManagementScreenServlet" class="nav-link">管理者専用画面</a>
      </li>
     </c:if>

	 <c:if test="${userInfo != null}" >
	  <li class="nav-item">
      	<a href="UserFavoriteServlet?userId=${userInfo.id}" class="nav-link">お気に入り一覧</a>
      </li>
      <li class="nav-item">
      	<a href="UserUpdateServlet?id=${userInfo.id}" class="nav-link">ユーザ情報更新</a>
      </li>
      <li class="nav-item">
      	<a href="LogoutServlet" class="nav-link">ログアウト</a>
      </li>
	 </c:if>
    </ul>
  </div>
  </div>
</nav>

</header>


  <!-- ページコンテンツ -->
  <main role="main" class="flex-shrink-0">
    <div class="container">
      <!-- 口コミない場合 -->
		<c:if test="${errMsg != null}" >
	    <div class="alert alert-danger mt-5 text-center h3" role="alert">
		  ${errMsg}
		</div>
		</c:if>


	<form method="post" action="ReviewDeleteServlet" onSubmit="return checkSubmit()">
	  <c:forEach var="reviewList" items="${reviewList}">
	   <!-- 口コミid -->
	   <input name="reviewId" type="hidden" value="${reviewList.id}">
	   <!-- 旅行先id -->
	   <input name="travelId" type="hidden" value="${travelId}">

		<div class="card card-body bg-light my-4">
		  <p>${reviewList.formatDate}</p>
		  ${reviewList.review}
		  <div class="form-group text-right">
		  ${reviewList.userName}さん
		  <c:if test="${reviewList.userName == userInfo.name || userInfo.name == 'admin'}">
		  <button type="submit" class="btn btn-danger">削除</button>
		  </c:if>
		  </div>
		</div>
	  </c:forEach>
	</form>
  </div>
</main>

  <!-- フッタ -->
  <footer class="footer mt-auto py-3">
    <div class="container">
      <a class="btn btn-primary" href="javascript:history.back();">一つ前のページへ戻る</a>
    </div>
  </footer>


</body>

</html>